Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.tools
Interface IdeTool

public interface IdeTool
extends IdeToolConstants

Abstract class `IdeTool` describes a tool, provides the possibility to work with the tool's properties and to set the filter. Specifies context(s) for this tool, which means a popup menu of where this tool should be shown.

Author:
  TogetherSoft
See Also: IdeToolFilter

Fields inherited from interface com.togethersoft.openapi.ide.tools.IdeToolConstants
`ALL_MESSAGES, COMMAND, LANGUAGE, MINIMIZED, OPEN_MESSAGE, PARAMETERS, PROMPT, TITLE, UPDATE`

Method Summary
`boolean` | `getBooleanProperty(String propertyName)` Gets the value of the specified boolean property for this tool.
`String[]` | `getContexts()` Returns the array of contexts (popup menues) where this tool appears.
`String` | `getStringProperty(String propertyName)` Gets the value of the property with the specified name for this tool.
`IdeToolFilter` | `getToolFilter()` Returns filter of this tool.
`void` | `setBooleanProperty(String propertyName, boolean value)` Sets specified boolean property for this tool.
`void` | `setContexts(String[] contexts)` Sets specified context for this tool.
`void` | `setStringProperty(String propertyName, String value)` Sets specified string property for this tool.
`void` | `setToolFilter(IdeToolFilter filter)` Assigns specified `filter` for this tool.

Method Detail

### getBooleanProperty

    public boolean getBooleanProperty(String propertyName)

  Gets the value of the specified boolean property for this tool.
  Parameters:
    propertyName `String` - name of the property in question
  Returns: `boolean` value of this property
  See Also:
    IdeToolConstants.UPDATE, IdeToolConstants.OPEN_MESSAGE, IdeToolConstants.ALL_MESSAGES, IdeToolConstants.PROMPT, IdeToolConstants#MINIMAZED

### getContexts

    public String[] getContexts()

  Returns the array of contexts (popup menues) where this tool appears.
  Returns: `String[]` names of the poup menues where this tool appears.

### getStringProperty

    public String getStringProperty(String propertyName)

  Gets the value of the property with the specified name for this tool.
  Parameters:
    propertyName `String` - name of the property in question
  Returns: `String` value of this property
  See Also:
    IdeToolConstants.TITLE, IdeToolConstants.COMMAND, IdeToolConstants.PARAMETERS, IdeToolConstants.LANGUAGE

### getToolFilter

    public IdeToolFilter getToolFilter()

  Returns filter of this tool.
  Returns: `IdeToolFilter` object that represents the current filter

### setBooleanProperty

    public void setBooleanProperty(String propertyName, boolean value)

  Sets specified boolean property for this tool.
  Parameters:
    propertyName - `String` name of the property for this tool
    value - `String` of this property
  See Also:
    IdeToolConstants.UPDATE, IdeToolConstants.OPEN_MESSAGE, IdeToolConstants.ALL_MESSAGES, IdeToolConstants.PROMPT, IdeToolConstants#MINIMAZED

### setContexts

    public void setContexts(String[] contexts)

  Sets specified context for this tool. The context is provided as an array that can contain several contexts.
  Parameters:
    contexts - `String[]` names of the contexts.

### setStringProperty

    public void setStringProperty(String propertyName, String value)

  Sets specified string property for this tool.
  Parameters:
    propertyName - `String` name of the property for this tool
    value - `String` value of this property
  See Also:
    IdeToolConstants.TITLE, IdeToolConstants.COMMAND, IdeToolConstants.PARAMETERS, IdeToolConstants.LANGUAGE

### setToolFilter

    public void setToolFilter(IdeToolFilter filter)

  Assigns specified `filter` for this tool.
  Parameters:
    filter - `IdeToolFilter`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD